/**
 * Enum representing all kinds of items. Essential for the creation thereof.
 */
var ItemEnum = {
    LINENPANTS: 1,
    CHESTWRAP: 2,
    LOINCLOTH: 3,
    AGILITY_POTION: 4,
    ROPE: 5,
    STICK: 6,
    BRANCH: 7,
    ROCK: 8,
    SMALLKNIFE: 9,
    KOBOLDUNDERWEAR: 10,
    DAGGER: 11,
    SILKPANTIES: 12,
    REDDRESS: 13,
    PADDEDLEATHERSHIRT: 14,
    LINENBRA: 15,
    BANDITKEY: 16,
    GOLDENNEEDLE: 17,
    STUDDEDLEATHERCHESTPIECE: 18,
    LEATHERPANTS: 19,
    WOOLSWEATER: 20,
    CHARISMA_POTION: 21,
    ENDURANCE_POTION: 22,
    INTELLIGENCE_POTION: 23,
    LUCK_POTION: 24,
    STRENGTH_POTION: 25,
    REJUVINATION_POTION: 26,
    FEMPLUS: 27,
    MALEPLUS: 28,
    APPLE: 29,
    HEARTY_MEAL: 30,
    LOCKPICK: 31,
    SPURRED_BOOTS: 32,
    COWBOY_HAT: 33,
    CASSIDY_HOUSE_KEY: 34,
    KOBOLDRY_HOOD: 35,
    TEA_BISCUIT: 36,
    SILVERWARE: 37,
    APLUSLOTION: 38,
    KOBOLD_TRIDENT: 39,
    COURAGE_POTION: 40,
    COPPER_RING: 41,
    SANDWICH: 42,
    FANCYGLASSES: 43,
    KITCHENKNIFE: 44,
    BREAD: 45,
    BUTTER: 46,
    HAM: 47,
    ROTTEN_EGG: 48
};

ItemEnum.properties = {
    1: {create: function(){return new LinenPants();}},
    2: {create: function(){return new ChestWrap();}},
    3: {create: function(){return new LoinCloth();}},
    4: {create: function(){return new AgilityPotion();}},
    5: {create: function(){return new Rope();}},
    6: {create: function(){return new Stick();}},
    7: {create: function(){return new Branch();}},
    8: {create: function(){return new Rock();}},
    9: {create: function(){return new SmallKnife();}},
    10: {create: function(){return new KoboldUnderwear();}},
    11: {create: function(){return new Dagger();}},
    12: {create: function(){return new SilkPanties();}},
    13: {create: function(){return new RedDress();}},
    14: {create: function(){return new PaddedLeatherShirt();}},
    15: {create: function(){return new LinenBra();}},
    16: {create: function(){return new BanditKey();}},
    17: {create: function(){return new GoldenNeedle();}},
    18: {create: function(){return new StuddedLeatherChestPiece();}},
    19: {create: function(){return new LeatherPants();}},
    20: {create: function(){return new WoolSweater();}},
    21: {create: function(){return new CharismaPotion();}},
    22: {create: function(){return new EndurancePotion();}},
    23: {create: function(){return new IntelligencePotion();}},
    24: {create: function(){return new LuckPotion();}},
    25: {create: function(){return new StrengthPotion();}},
    26: {create: function(){return new RejuvenationPotion();}},
    27: {create: function(){return new FemPlus();}},
    28: {create: function(){return new mPlus();}},
    29: {create: function(){return new Apple();}},
    30: {create: function(){return new HeartyMeal();}},
    31: {create: function(){return new Lockpick();}},
    32: {create: function(){return new SpurredBoots();}},
    33: {create: function(){return new CowboyHat();}},
    34: {create: function(){return new CassidyHouseKey();}},
    35: {create: function(){return new KoboldryHood();}},
    36: {create: function(){return new TeaBiscuit();}},
    37: {create: function(){return new Silverware();}},
    38: {create: function(){return new aPlusLotion();}},
    39: {create: function(){return new KoboldTrident();}},
    40: {create: function(){return new CouragePotion();}},
    41: {create: function(){return new CopperRing();}},
    42: {create: function(){return new Sandwich();}},
    43: {create: function(){return new FancyGlasses();}},
    44: {create: function(){return new KitchenKnife();}},
    45: {create: function(){return new Bread();}},
    46: {create: function(){return new Butter();}},
    47: {create: function(){return new Ham();}},
    48: {create: function(){return new RottenEgg();}}
};
