/**
 * Contains a list of all the consumables the kobold has used, and how many times it has used them.
 */
function ConsumableHistory() {
    // PRIVATE MEMBERS \\       var private = "test";
    var that = this;

    // PRIVATE FUNCTIONS \\     function privateFunction(){}

    // PUBLIC MEMBERS \\        this.public = "test";

    // Consumable id : how much of that item has been consumed
    this.consumed = {

    };

    // PUBLIC FUNCTIONS \\      this.publicFunction = function(){};

    /**
     * Logs the usage of a consumable with the passed item id.
     * @param {int} id The consumed item's id.
     */
    this.use = function (id) {
        that.consumed[id] = that.consumed[id] ? that.consumed[id] : 0;
        that.consumed[id]++;
    };

    this.load = function (consumableHistory) {
        if (consumableHistory && consumableHistory.consumed) {
            that.consumed = consumableHistory.consumed;
        } else {
            that.consumed = {};
        }
    };
}

