/**
 * Bucket section of Varanar, Morning Three.
 * @param {MorningThreeController} controller The Morning Three controller.
 */
function MorningThreeBucket(controller) {
    // PRIVATE MEMBERS \\       var private = "test";
    var that = this;
    var ctrl = controller;

    var reqChoice = false;
    var reqController = ctrl.preBucket;
    var subController = ctrl.preContinue;

    var continueId = arguments.callee.name + "ButtonOne";
    var next = new MorningThreeBucketContinue(ctrl);

    // PRIVATE FUNCTIONS \\     function privateFunction(){}

    /**
     * Builds and returns the content of this section.
     * @returns {string} The content.
     */
    function buildContent() {
        var clothed = !ctrl.misc.nude();
        var dick = ctrl.misc.dick();
        var She = dick ? `She` : `He`;
        var he = She.toLowerCase();
        var Her = dick ? `Her` : `His`;
        var his = Her.toLowerCase();
        var toReturn = `[st]
                            [color=blue]Splash![/color]
                        [/st]
                        [p]
                            You shiver in cold and discomfort as an entire [b]bucket[/b] of [b]freezing[/b] water splashes all over you and your partner!
                            The alley is filled with the sounds of your combined hissing and growling.
                            A booming, bass voice rings out from above:
                            "[color=orange]Don't do that shit here, you filthy beasts! Shoo! Git![/color]"
                        [/p]
                        [p]
                            A naked human stands at a second-floor window leading out into the alleyway.
                            He reaches down to grab a heavy boot off the ground, and [b]hurls[/b] it towards the two of you.
                            You barely manage to dodge it, shouting a vicious insult back at him.
                            Your partner isn't quite so lucky, the boot landing directly atop ${his} head with a heavy impact, prompting a pained yelp.
                            "[color=orange]Don't make me come down there![/color]"
                        [/p]
                        [p]
                            The cyan kobold quickly gathers ${his} gear, ${clothed ? `while you do the same,` : ``}.
                            The both of you [b]leg[/b] it, fleeing from the alley as fast as you can, fearing the human might actually [i]follow up[/i] on his threats.
                            You [b]rush[/b] back towards the market square.
                            It isn't until you're standing ${clothed ? `naked` : ``} in front of the stage where the two of you met,
                            that you realize your partner fled [b]the other way[/b]!
                        [/p]`;

        return global.parser.parse(toReturn);
    }

    /**
     * Builds and returns the choice button.
     */
    function buildNextChoice() {
        var disabled = subController.continued() ? "disabled" : "";
        var isSelected = subController.continued();
        var selected = isSelected ? "selected" : "";
        var button = `<button class="button inlinechoice ${selected}" id="${continueId}" ${disabled}>Continue</button>`;
        return button;
    }

    /**
     * Builds and returns the choice of this section.
     * @returns {string} The choice of this section.
     */
    function buildChoice() {
        var choice = `<div class="choicecontainer">`;
        choice += buildNextChoice();
        choice += `</div>`;
        return choice;
    }

    /**
     * Disables all three buttons.
     */
    function disableButtons() {
        var buttons = [$("#" + continueId)];
        buttons.forEach(function (button) {
            button.unbind();
            button.attr("disabled", true);
        });
    }

    /**
     * Loads and displays the next part.
     * @param {object} part Which part to load.
     */
    function loadNextPart(part) {
        var built = part.build(true);
        global.ui.appendBeforeFinisher(built, global.ui.genericHeaderId);
        $("#" + part.id).fadeIn(400);
        part.registerListeners();
    }

    /**
     * Adds a listener to the button.
     */
    function registerNextListener() {
        $("#" + continueId).click(function () {
            $(this).addClass("selected");
            disableButtons();
            subController.continue();
            loadNextPart(next);
        });
    }

    // PUBLIC MEMBERS \\        this.public = "test";
    this.id = arguments.callee.name;

    // PUBLIC FUNCTIONS \\      this.publicFunction = function(){};

    /**
     * Builds and returns this part.
     * @param {boolean} invisible If passed and true, will give the entire section a display:none style.
     */
    this.build = function (invisible) {
        if (reqController && ((reqChoice && reqController.get() !== reqChoice) || (!reqChoice && !reqController.continued()))) {
            return "";
        }

        var part = `<div id="${that.id}" ${invisible ? 'style="display:none;"' : ""}>`;
        part += buildContent();
        part += ctrl.bucket.change();
        part += buildChoice();
        part += `</div>`;
        part += next.build();
        return part;
    };

    /**
     * Registers all the required button listeners for this part.
     */
    this.registerListeners = function () {
        if (reqController && ((reqChoice && reqController.get() !== reqChoice) || (!reqChoice && !reqController.continued()))) {
            return;
        }

        next.registerListeners();

        if (subController.continued()) {
            return;
        }

        registerNextListener();
    };
}
